classification
Title: add "reload" function to IDLE
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Add File - Reload
View: 1721083
Assigned To: kbk Nosy List: LambertDW, ajaksu2, gpolo, kbk, phr, rhettinger
Priority: normal Keywords:

Created on 2005-04-03 08:48 by phr, last changed 2020-07-27 23:44 by terry.reedy. This issue is now closed.

Messages (10)
msg54423 - (view) Author: paul rubin (phr) Date: 2005-04-03 08:48
The file menu in Editor windows could benefit from a
"reload" function that re-reads the file from disc and
loads it into the editor, replacing what's currently in
the editor.  That's useful for those of us who like to
edit with Emacs in another window while running the
code under Idle.  To get really fancy, it might be cool
to optionally display a diff between the in-editor
version and the on-disk version allowing merging
changes, but that's maybe over the top.

Other editors usually do have commands like this,
e.g.M-x Revert-file in Emacs or ":e!" in vi.
msg54424 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2005-04-18 22:48
Logged In: YES 
user_id=80475

If added, it should definitely be called "revert" instead of
"reload".  The latter already has a specific meaning in
Python that relates to imports.  The former seems to be
standard terminology across a number of editing tools from
emacs to photoshop.
msg54425 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2005-04-19 02:55
Logged In: YES 
user_id=149084

Why do you use Emacs instead of IDLE? (I use emacs
myself sometimes, but I'm curious what your reasons
are these days.)
msg54426 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2005-05-26 16:20
Logged In: YES 
user_id=149084

I like the Revert idea better.  It probably should be
above "Close" in the File menu.  Otherwise, if it's
next to "Recent Files", someday someone is going
to select it by mistake and be really ticked.

I think the suggestion violates KISS.  Over time, it's
ideas like this that cause creeping features and a
boated interface.

But again, why not use IDLE instead of emacs to
edit Python code?  One button Save/Run!  What is
the killer feature that's missing from IDLE?  That would
be the real thing to work on.
msg54427 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2005-06-05 14:32
Logged In: YES 
user_id=149084

Responding to your "misplaced" post, I use emacs for
everything also; basically I live in emacs.  However, my
question still stands.  Have you tried IDLE with the 
autosave and F5 to run?  If IDLE had incremental search
it would be pretty close or maybe even better.  I used to
use emacs to develop IDLE but I find I'm increasingly 
using IDLE for that purpose.
msg81446 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-09 06:55
Superseder: issue 5138.
msg81583 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-02-10 19:07
Kurt, is this something you can add?

Closed the duplicate issue 5138 and leaving this open.

IDLE would be *much* easier to use in conjunction with version control
if there were a reload option that did the equivalent of (close current
with no save, followed by open current file).
msg81624 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-11 04:22
It seems discussion in issue 1721083 is more advanced... should this one
be closed? :)
msg83101 - (view) Author: David W. Lambert (LambertDW) Date: 2009-03-03 21:15
0->kbk

I avoid idle altogether and run python in emacs shell buffer.  Switching
windows usually involves mice.  Mice are evil.

emacs has gazillions of features.

artist mode (oops, mice!)
rectangular regions,
registers,
25 (hundreds with C-{digit}) reasonable places to move the cursor with a
couple keystrokes.
calc, modes, keyboard macros, mail, directory editing, buffer shared on
multiple x-servers ...
msg91212 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-03 02:34
Closing this in favour of issue1721083.
History
Date User Action Args
2020-07-27 23:44:17terry.reedysetstage: resolved
2009-08-03 02:34:50gpolosetstatus: open -> closed
resolution: duplicate
superseder: Add File - Reload
messages: + msg91212
2009-04-26 22:19:07ajaksu2setnosy: + gpolo
2009-04-26 22:12:11ajaksu2linkissue1721083 dependencies
2009-03-03 21:15:02LambertDWsetnosy: + LambertDW
messages: + msg83101
2009-02-11 04:22:16ajaksu2setmessages: + msg81624
2009-02-10 19:07:41rhettingersetpriority: low -> normal
assignee: kbk
messages: + msg81583
2009-02-10 18:58:53brett.cannonsettitle: add "reload" function -> add "reload" function to IDLE
2009-02-09 06:55:04ajaksu2setnosy: + ajaksu2
messages: + msg81446
versions: + Python 3.1, Python 2.7
2005-04-03 08:48:10phrcreate